# Google Play Game Services Publishing API . imageConfigurations

## Instance Methods

Uploads an image for a resource with the given ID and image type.

### Method Details

`upload(resourceId, imageType, media_body=None, media_mime_type=None)`

    Uploads an image for a resource with the given ID and image type.

    Args:
      resourceId: string, The ID of the resource used by this method. (required)
      imageType: string, Selects which image in a resource for this method. (required)
        Allowed values
          ACHIEVEMENT_ICON - The icon image for an achievement resource.
          LEADERBOARD_ICON - The icon image for a leaderboard resource.
      media_body: string, The filename of the media request body, or an instance of a MediaUpload object.
      media_mime_type: string, The MIME type of the media request body, or an instance of a MediaUpload object.

    Returns:
      An object of the form:

        { # This is a JSON template for an image configuration resource.
        "url": "A String", # The url for this image.
        "resourceId": "A String", # The resource ID of resource which the image belongs to.
        "kind": "gamesConfiguration#imageConfiguration", # Uniquely identifies the type of this resource. Value is always the fixed string gamesConfiguration#imageConfiguration.
        "imageType": "A String", # The image type for the image.
      }